package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.FlightPaths;

/**
 * 航线文件信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-07-25
 */
public interface FlightPathsMapper 
{
    /**
     * 查询航线文件信息
     * 
     * @param id 航线文件信息主键
     * @return 航线文件信息
     */
    public FlightPaths selectFlightPathsById(Long id);

    /**
     * 查询航线文件信息列表
     * 
     * @param flightPaths 航线文件信息
     * @return 航线文件信息集合
     */
    public List<FlightPaths> selectFlightPathsList(FlightPaths flightPaths);

    /**
     * 新增航线文件信息
     * 
     * @param flightPaths 航线文件信息
     * @return 结果
     */
    public int insertFlightPaths(FlightPaths flightPaths);

    /**
     * 修改航线文件信息
     * 
     * @param flightPaths 航线文件信息
     * @return 结果
     */
    public int updateFlightPaths(FlightPaths flightPaths);

    /**
     * 删除航线文件信息
     * 
     * @param id 航线文件信息主键
     * @return 结果
     */
    public int deleteFlightPathsById(Long id);

    /**
     * 批量删除航线文件信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFlightPathsByIds(Long[] ids);

    List<FlightPaths> selectByCondition(FlightPaths flightPaths);
}
